## EDU.oswego.cs.dl.util.concurrent
Interface Callable

All Known Implementing Classes:
  TimedCallable

    public interface Callable

Interface for runnable actions that bear results and/or throw Exceptions. This interface is designed to provide a common protocol for result-bearing actions that can be run independently in threads, in which case they are ordinarily used as the bases of Runnables that set FutureResults

[ Introduction to this package. ]

See Also:
  `FutureResult`

Method Summary
`java.lang.Object` `call()` Perform some action that returns a result or throws an exception

Method Detail

### call

    java.lang.Object call()
                          throws java.lang.Exception

  Perform some action that returns a result or throws an exception

  Throws:
    `java.lang.Exception`